Name:		converseen
Version:	0.14.0.0
Release:	%mkrel 1
Summary:	A batch image conversion tool
Group:		Graphics/Editors and Converters
License:	GPLv3
URL:		https://converseen.fasterland.net/
Source0:	https://downloads.sourceforge.net/converseen/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(Magick++)
BuildRequires:	imagemagick

Requires:	graphviz

%description
Converseen is a batch image conversion tool and resizer written in C++ with Qt6
and Magick++.  Converseen allows you to convert images in more than 100
different formats!


%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT6:BOOL=ON

%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/applications/net.fasterland.converseen.desktop
%{_datadir}/kio/servicemenus/converseen_import.desktop
%{_datadir}/%{name}/
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/converseen.png


%changelog
* Sat Apr 26 2025 daviddavid <daviddavid> 0.14.0.0-1.mga10
+ Revision: 2178720
- new version: 0.14.0.0

* Sun Mar 23 2025 daviddavid <daviddavid> 0.13.0.0-1.mga10
+ Revision: 2169089
- new version: 0.13.0.0

* Tue Oct 29 2024 daviddavid <daviddavid> 0.12.2.4-1.mga10
+ Revision: 2111717
- new version: 0.12.2.4

* Mon Apr 22 2024 daviddavid <daviddavid> 0.12.2.3-1.mga10
+ Revision: 2060497
- new version: 0.12.2.3

* Tue Apr 16 2024 daviddavid <daviddavid> 0.12.2.2-1.mga10
+ Revision: 2057881
- new version: 0.12.2.2

* Tue Mar 19 2024 daviddavid <daviddavid> 0.12.2.1-1.mga10
+ Revision: 2050703
- new version: 0.12.2.1

* Wed Feb 14 2024 daviddavid <daviddavid> 0.12.1.0-1.mga10
+ Revision: 2041149
- new version: 0.12.1.0

* Tue Jan 09 2024 daviddavid <daviddavid> 0.12.0.2-1.mga10
+ Revision: 2029104
- new version: 0.12.0.2

* Tue Dec 19 2023 daviddavid <daviddavid> 0.12.0.1-1.mga10
+ Revision: 2019244
- new version: 0.12.0.1

* Tue Nov 28 2023 daviddavid <daviddavid> 0.12.0.0-1.mga10
+ Revision: 2010420
- new version: 0.12.0.0
- switch now to Qt6

* Wed Oct 18 2023 daviddavid <daviddavid> 0.11.0.1-1.mga10
+ Revision: 1998897
- new version: 0.11.0.1

* Wed Sep 13 2023 daviddavid <daviddavid> 0.11.0.0-1.mga10
+ Revision: 1986385
- new version: 0.11.0.0

* Sun Sep 03 2023 daviddavid <daviddavid> 0.10.0.1-1.mga10
+ Revision: 1983881
- new version: 0.10.0.1

* Sun Aug 27 2023 daviddavid <daviddavid> 0.10.0.0-1.mga10
+ Revision: 1980304
- new version: 0.10.0.0

* Wed Aug 02 2023 daviddavid <daviddavid> 0.9.11.1-2.mga9
+ Revision: 1964371
- add patch to complete French translation

* Fri Mar 17 2023 daviddavid <daviddavid> 0.9.11.1-1.mga9
+ Revision: 1949531
- new version: 0.9.11.1

* Wed Feb 15 2023 daviddavid <daviddavid> 0.9.11.0-1.mga9
+ Revision: 1942433
- new version: 0.9.11.0

* Tue Jan 17 2023 daviddavid <daviddavid> 0.9.10.1-1.mga9
+ Revision: 1933938
- new version: 0.9.10.1

* Sun Jan 08 2023 daviddavid <daviddavid> 0.9.10.0-1.mga9
+ Revision: 1931664
- new version: 0.9.10.0

* Tue Sep 27 2022 neoclust <neoclust> 0.9.9.8-1.mga9
+ Revision: 1892700
- New version 0.9.9.8

* Sun Apr 03 2022 umeabot <umeabot> 0.9.9.0-4.mga9
+ Revision: 1842820
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 wally <wally> 0.9.9.0-3.mga9
+ Revision: 1765248
- rebuild for imagemagick 7.0.11.14

* Sat Feb 27 2021 neoclust <neoclust> 0.9.9.0-2.mga9
+ Revision: 1692841
- Rebuild against new imagemagick

* Sat Feb 27 2021 daviddavid <daviddavid> 0.9.9.0-1.mga9
+ Revision: 1692682
- new version: 0.9.9.0
- rebuild for new Magick++

* Wed Dec 16 2020 umeabot <umeabot> 0.9.8.1-4.mga8
+ Revision: 1658272
- Rebuild for new Qt5

* Mon Nov 16 2020 kekepower <kekepower> 0.9.8.1-3.mga8
+ Revision: 1646564
- Rebuild for new Imagemagick lib major

* Thu Feb 20 2020 umeabot <umeabot> 0.9.8.1-2.mga8
+ Revision: 1546431
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 0.9.8.1-1.mga8
+ Revision: 1486499
- new version: 0.9.8.1

* Mon Dec 30 2019 kekepower <kekepower> 0.9.8.0-2.mga8
+ Revision: 1474977
- Use new cmake macros
- Rebuild for new imagemagick

* Sun Nov 03 2019 daviddavid <daviddavid> 0.9.8.0-1.mga8
+ Revision: 1457459
- new version: 0.9.8.0

* Sat Mar 30 2019 umeabot <umeabot> 0.9.7.2-2.mga7
+ Revision: 1381471
- Qt5 Rebuild

* Wed Oct 24 2018 daviddavid <daviddavid> 0.9.7.2-1.mga7
+ Revision: 1324812
- new version: 0.9.7.2

* Fri Oct 12 2018 daviddavid <daviddavid> 0.9.7.1-1.mga7
+ Revision: 1319756
- new version: 0.9.7.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9.7-2.mga7
+ Revision: 1296769
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1252268
- new version: 0.9.7

* Wed May 02 2018 kekepower <kekepower> 0.9.6.2-4.mga7
+ Revision: 1224483
- Rebuild for ImageMagic 7.0.7.29

* Sun Jan 21 2018 wally <wally> 0.9.6.2-3.mga7
+ Revision: 1195348
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 0.9.6.2-2.mga7
+ Revision: 1185709
- rebuild for new imagemagick

* Sat Jun 03 2017 akien <akien> 0.9.6.2-1.mga6
+ Revision: 1105915
- Version 0.9.6.2

* Sat May 27 2017 shlomif <shlomif> 0.9.6.1-2.mga6
+ Revision: 1105210
- rebuild for new imagemagick

* Fri Feb 03 2017 daviddavid <daviddavid> 0.9.6.1-1.mga6
+ Revision: 1084653
- new version: 0.9.6.1

* Thu Sep 29 2016 daviddavid <daviddavid> 0.9.5.2-1.mga6
+ Revision: 1057512
- new version: 0.9.5.2
- remove merged upstream patch

* Wed Sep 14 2016 daviddavid <daviddavid> 0.9.5.1-1.mga6
+ Revision: 1052604
- new version: 0.9.5.1
- remove merged upstream completed_french_translation patch

* Wed Aug 31 2016 daviddavid <daviddavid> 0.9.5-2.mga6
+ Revision: 1049617
- add patch to complete French translation
  * https://github.com/Faster3ck/Converseen/pull/29

* Tue Aug 30 2016 daviddavid <daviddavid> 0.9.5-1.mga6
+ Revision: 1049533
- new version: 0.9.5
- port to Qt5
- add patch to fix ServiceMenus path from plasma 5

* Sun Feb 14 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 959822
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 905919
- new version: 0.9.2
- update URL
- fix owner of data dir

* Mon Aug 31 2015 cjw <cjw> 0.8.3-4.mga6
+ Revision: 871576
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.8.3-3.mga6
+ Revision: 744278
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.3-2.mga5
+ Revision: 678531
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 bersuit <bersuit> 0.8.3-1.mga5
+ Revision: 670406
- Update to new Upstream version 0.8.3

* Sat Aug 23 2014 fwang <fwang> 0.8.2-1.mga5
+ Revision: 666769
- 0.8.2

* Sun Jun 29 2014 bersuit <bersuit> 0.7.2.1-1.mga5
+ Revision: 641227
- Update to new Upstream version 0.7.2.1

* Wed Mar 19 2014 bersuit <bersuit> 0.6.8-1.mga5
+ Revision: 605873
- Update to new upstream version

* Sat Oct 19 2013 umeabot <umeabot> 0.6.4-4.mga5
+ Revision: 535164
- Mageia 4 Mass Rebuild

* Thu Sep 19 2013 fwang <fwang> 0.6.4-3.mga4
+ Revision: 481477
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.6.4-2.mga4
+ Revision: 464398
- rebuild for new imagemagick

* Sun Jul 28 2013 fwang <fwang> 0.6.4-1.mga4
+ Revision: 459731
- new version 0.6.4

* Fri May 31 2013 fwang <fwang> 0.6.2-1.mga4
+ Revision: 433550
- use cmake
- update file list
- new version 0.6.2

* Tue May 28 2013 fwang <fwang> 0.5.3-2.mga4
+ Revision: 429147
- rebuild for new imagemagick

* Sun Apr 07 2013 bersuit <bersuit> 0.5.3-1.mga3
+ Revision: 409020
- Update to 0.5.3: it works with ImageMagick >= 6.8.0

* Thu Feb 07 2013 juancho <juancho> 0.5.2.1-1.mga3
+ Revision: 395052
- Updated to 0.5.2.1 (bugfix only release)

* Fri Jan 11 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 348119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Mon Jan 07 2013 juancho <juancho> 0.5.2-1.mga3
+ Revision: 340957
- Updated to 0.5.2

* Fri Dec 14 2012 fwang <fwang> 0.5.1-3.mga3
+ Revision: 330751
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.5.1-2.mga3
+ Revision: 305103
- update rpm group
- rebuild for new imagemagick

* Tue Jul 31 2012 shlomif <shlomif> 0.5.1-1.mga3
+ Revision: 276763
- New version 0.5.1 - thanks to fedya.

* Wed Jun 06 2012 juancho <juancho> 0.5-1.mga3
+ Revision: 256078
- Updated to 0.5

* Thu Feb 02 2012 juancho <juancho> 0.4.9-1.mga2
+ Revision: 204004
- Fixed group
- imported package converseen


* Mon Jan 23 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-4
- Fix %%cmake use

* Mon Jan 23 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-3
- Use %%cmake macro instead of cmake

* Wed Jan 18 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-2
- Use desktop-file-install
- Remove INSTALL file from doc macro

* Tue Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.8-1
- Update to new release 0.4.8

* Tue Jan 10 2012 Mario Santagiuliana <fedora@marionline.it> 0.4.7-29
- Update spec file to include package in Fedora repository

* Thu Dec 01 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.7
- Optimized GUI for small screen resolutions (netbooks)
- Fixed overwriting with upper suffixes
- Now the window geometry is saved

* Mon Sep 12 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.5
- Modified the code to work in Windows
- Added Turkish translation
- Added support for Cmake

* Tue Aug 02 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.3
- Added service menu for Kde
- Fixed overwriting with upper suffixes
- Added Spanish (Chile) translation

* Sun Jun 26 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.2
- Fixed overwriting dialog when the renaming option is enabled.

* Wed Mar 09 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4.1
- Improved picture previewer
- If the output folder doesn't exists it will be created

* Fri Feb 11 2011 Francesco Mondello <faster3ck@gmail.com>
- Version 0.4:
- Added thread support to image conversions.
- Added a progress bar into the conversion dialog.
- Added drag and drop.
- Improved management of PNG.
- Fixed various bugs and improved the code.
- Added Brazilian Portuguese translation.
- Added German translation.

* Sat Oct 23 2010 Francesco Mondello <faster3ck@gmail.com>
- Version 0.3.2: Added french translation

* Sun Sep 12 2010 Francesco Mondello <faster3ck@gmail.com>
- Initial rpm release to version 0.3.1
